Subject: Re: bug#49265: [External] : bug#49265: 28.0.50; repeat mode feature request

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Jul 2021 20:54:06 +0300

tags 49265 fixed
close 49265 28.0.50
thanks

>> Maybe Drew could suggest a better text?
>
> My suggestion would be to not say anything about the
> keymaps involved.  What's the purpose in trying to do
> that?  What additional help do you mean to provide
> by it?

But the keymaps are the essential part of this feature.

>> I propose to rename this command to `describe-repeat-mode'.
>
> That sounds like it's a command that describes some
> mode called `repeat-mode'.

This is correct, the mode is called `repeat-mode'.

> I don't have a great suggestion for the name.  IIUC,
> the command lists bindings of commands that are
> defined using function `repeat'.
>
> Maybe `list-repeat-commands', as OP suggested.  Or
> maybe `describe-repeat-bindings', as it is bindings
> that are listed/described.  I don't think it's
> about describing the commands - their bindings are
> listed.

Thanks for the suggestion, this helped to rename it
to the most proper name `describe-repeat-maps',
because this feature is based on `repeat-map' props.
Also did my best to fix text strings.